(function() {
    tinymce.create('tinymce.plugins.dms3Portfolio',{
        init : function(ed,url) {
            ed.addButton('dms3PortfolioServices',{
                title:      'Services',
                image:       url + '/icon-services.png',
                onclick:    function() {
                    ed.execCommand(
                        "mceInsertContent",
                        false,
                        "[DeMomentSomTres-Portfolio-Services cols=\"8\" active=\"-1\"]"
                        );
                }
            });
            ed.addButton('dms3PortfolioWorks',{
                title:      'Works',
                image:      url + '/icon-works.png',
                onclick:    function() {
                    ed.execCommand(
                        "mceInsertContent",
                        false,
                        "[DeMomentSomTres-Portfolio-Works cols=\"8\" active=\"-1\"]"
                        );
                }
            });
        },
        
        getInfo : function() {
            return {
                longname:   'DeMomentSomTres Portfolio',
                author:     'Marc Queralt',
                authorurl:  'http://demomentsomtres.com/',
                infourl:    'http://demomentsomtres.com/english/wordpress-plugins/demomentsomtres-portfolio',
                version:    '1.0'
            };
        }
    });
    tinymce.PluginManager.add('dms3Portfolio',tinymce.plugins.dms3Portfolio);
})();